using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

/// <summary>
/// Defines the WorldObjectCollection filter for all objects
/// </summary>
public class ByAllFilter : WorldObjectCollectionFilter
{
	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByAll();
	}

	internal override void ApplyFilter(Decal.Interop.Filters.Vendor ven)
	{
		ven.ByAll();
	}
}
